Check the Validity of Milestone / Target Name

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
❗️

This API is being phased out and will no longer be available for viewing milestones.

To view milestones, use the Get Details of all Loyalty Promotions API


This API checks if the name provided for a target group, target, streak, streak level, and period is unique within an organisation.

Example request

curl --location 'https://eu.api.capillarytech.com/v3/targetGroups/isValidName' \
--header 'Authorization: Basic bWFka2YQ==' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=kYnuHywd2SuhkmuOi2_c7.Ie8_QvI8s1bFiaSPpP.8M-1759827226073-0.0.1.1-604800000' \
--data '{
    "type": "targetGroupName",
    "value": "uatTargetGroup62"
}'

Prerequisites

  • Authentication: Basic/OAuth authentication
  • Access group: Default access group

Resource Information

URIv3/targetGroups/isValidName
HTTP MethodPOST
PaginationNo
Batch supportNA
Rate limit informationNA

Request body parameters

Parameter (Parameters marked as * are required)Data TypeDescription
type*StringMilestone / target to check the validity for. You can check for active, inactive and user-created challenge related milestones. \n \nSupported values are: targetGroupName, streakName, targetName, streakLevelName, periodName
value*StringName to be checked for uniqueness. The name is case-insensitive, meaning "Target" and "target" are considered the same.

Example response

{
    "data": true,
    "errors": null,
    "warnings": null
}
{
    "data": false,
    "errors": null,
    "warnings": null
}
{
    "data": null,
    "errors": [
        {
            "code": 310145,
            "message": "Invalid key is passed"
        }
    ],
    "warnings": null
}

Response body parameters

ParameterTypeDescription
dataBooleanThe value is true if the name is unique, else it is false.
errorsObjectErrors, if any.
warningsObjectWarnings, if any.

API specific errors

Error CodeDescriptionReason
310145Invalid key is passedThe milestone / target type is invalid.
Body Params
string
required
string
required
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json